View Issue Details

IDProjectCategoryView StatusLast Update
0001435PluginsFARCmdspublic2014-07-09 09:09
Reporterdma_kAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version 
Target VersionFixed in Version3.0 
Summary0001435: Поломался выбор потока для far:edit (FarCmd plugin)
DescriptionРаньше команда вроде far:edit <1 jad -lnc -p SomeClass.class открывала в редакторе только содержимое STDOUT (STDERR выводился на экран?)

Теперь же она открывает пустое окно редактора.

При этом если попробовать открыть STDERR командой
far:edit <2 jad -lnc -p SomeClass.class
в редакторе будет сообщение:
'2jad' is not recognized as an internal or external command, operable program or batch file.

Получается, хэндл потока
а) всё-таки управляет тем, какой поток попадает в редактор
б) но при этом ещё и добавляется к записи последующей команды (что приводит к ошибке)

В хелпе far:edit написано:
"The entire string after the symbol '<' _and optional modifiers_ is sent to the command processor (%COMSPEC%)"

Очевидно, в данном случае модификаторы фильтруются некорректно

Если же использовать "<<" вместо "<", то выбор потока работает корректно:
far:edit <<1 jad -lnc -p SomeClass.class
Additional InformationFar 2.0, b1503 (также не работает в b1616)
TagsNo tags attached.

Activities

JohnDoe

2010-07-16 17:41

updater   bugnote:0005603

>Far 2.0, b1503 (также не работает в b1616)
Вы бы лучше привели номер билда в котором оно ещё работало.

С подобными проблемами плагина сталкиваюсь постоянно, например 0000923.

dma_k

2010-07-16 19:19

reporter   bugnote:0005605

Last edited: 2010-07-16 19:28

View 7 revisions

Подозрительные коммиты для билдов 70 (0000811) и 68 (0001369). Т.е. надо проверять ранние сборки. Если что-то высниться, я напишу.

vskirdin

2010-07-26 16:17

administrator   bugnote:0005628

примеры попроще приведите, ну нет у меня жабы на компе

JohnDoe

2010-07-27 11:54

updater   bugnote:0005631

Last edited: 2010-07-27 11:56

View 2 revisions

А жаба и не нужна: невооружённым глазом виден глюк '2jad'
Вот пример попроще:

edit:<2 echo test

dma_k

2010-07-27 12:51

reporter   bugnote:0005632

Да при чём здесь "жаба"? Я про потоки в описании написал, а не про jad. А примеров других - завались. Берём любую программу выводящую в STDOUT и получаем те же самые симптомы:
far:edit <1 date /T - пустой редактор
far:edit <2 date /T - ошибка: команда '2date' не найдена
(в первом случае, очевидно, была не найдена команда '1date', но это сообщение не попало в редактор, поскольку туда был отправлен только STDOUT)

Без указания потока всё работает - far:edit < date /T - текущая дата в редакторе

Бага есть в Far 2.0.1625.

vskirdin

2014-07-08 17:13

administrator   bugnote:0012680

build 116

JohnDoe

2014-07-08 21:13

updater   bugnote:0012688

Порядок

Issue History

Date Modified Username Field Change
2010-07-16 17:21 dma_k New Issue
2010-07-16 17:41 JohnDoe Note Added: 0005603
2010-07-16 19:19 dma_k Note Added: 0005605
2010-07-16 19:19 dma_k Note Edited: 0005605 View Revisions
2010-07-16 19:19 dma_k Note Edited: 0005605 View Revisions
2010-07-16 19:25 dma_k Note Edited: 0005605 View Revisions
2010-07-16 19:27 dma_k Note Edited: 0005605 View Revisions
2010-07-16 19:28 dma_k Note Edited: 0005605 View Revisions
2010-07-16 19:28 dma_k Note Edited: 0005605 View Revisions
2010-07-26 16:08 vskirdin Project Far Manager 1.7x => Plugins
2010-07-26 16:08 vskirdin Category _Common => FARCmds
2010-07-26 16:17 vskirdin Note Added: 0005628
2010-07-27 11:54 JohnDoe Note Added: 0005631
2010-07-27 11:56 JohnDoe Note Edited: 0005631 View Revisions
2010-07-27 12:51 dma_k Note Added: 0005632
2014-07-08 17:13 vskirdin Note Added: 0012680
2014-07-08 17:13 vskirdin Assigned To => vskirdin
2014-07-08 17:13 vskirdin Status new => feedback
2014-07-08 21:13 JohnDoe Note Added: 0012688
2014-07-09 09:09 vskirdin Status feedback => closed
2014-07-09 09:09 vskirdin Resolution open => fixed
2014-07-09 09:09 vskirdin Fixed in Version => 3.0